> ## Documentation Index
> Fetch the complete documentation index at: https://docs.microflowtek.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Spare Part Suppliers



## OpenAPI

````yaml https://api.microflowtek.com/openapi.json post /api/spare-parts/search
openapi: 3.1.0
info:
  title: Microflowtek API
  version: 0.1.0
servers: []
security: []
paths:
  /api/spare-parts/search:
    post:
      summary: Search Spare Part Suppliers
      operationId: search_spare_part_suppliers_api_spare_parts_search_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SupplierSearchRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupplierSearchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SupplierSearchRequest:
      properties:
        queries:
          items:
            type: string
          type: array
          title: Queries
        manufacturer:
          anyOf:
            - type: string
            - type: 'null'
          title: Manufacturer
        model_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Number
        part_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Part Number
        component_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Component Type
        visible_markings:
          items:
            type: string
          type: array
          title: Visible Markings
        site_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Site Type
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        system_manufacturer:
          anyOf:
            - type: string
            - type: 'null'
          title: System Manufacturer
        system_model:
          anyOf:
            - type: string
            - type: 'null'
          title: System Model
        system_type:
          anyOf:
            - type: string
            - type: 'null'
          title: System Type
        approximate_installation_year:
          anyOf:
            - type: string
            - type: 'null'
          title: Approximate Installation Year
        energy_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Energy Source
        suspected_component:
          anyOf:
            - type: string
            - type: 'null'
          title: Suspected Component
        observed_failure:
          anyOf:
            - type: string
            - type: 'null'
          title: Observed Failure
        technician_note:
          anyOf:
            - type: string
            - type: 'null'
          title: Technician Note
        urgency:
          anyOf:
            - type: string
            - type: 'null'
          title: Urgency
        intent:
          type: string
          title: Intent
          default: find_replacement
      type: object
      title: SupplierSearchRequest
    SupplierSearchResponse:
      properties:
        mode:
          type: string
          enum:
            - brave
            - disabled
            - fallback
          title: Mode
        results:
          items:
            $ref: '#/components/schemas/SupplierCandidate'
          type: array
          title: Results
        warning:
          type: string
          title: Warning
        notes:
          items:
            type: string
          type: array
          title: Notes
      type: object
      required:
        - mode
        - results
        - warning
        - notes
      title: SupplierSearchResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SupplierCandidate:
      properties:
        title:
          type: string
          title: Title
        url:
          type: string
          title: Url
        display_url:
          type: string
          title: Display Url
        snippet:
          type: string
          title: Snippet
        source:
          type: string
          title: Source
          default: web
        match_score:
          type: number
          maximum: 1
          minimum: 0
          title: Match Score
          default: 0
        matched_identifiers:
          items:
            type: string
          type: array
          title: Matched Identifiers
        match_reasons:
          items:
            type: string
          type: array
          title: Match Reasons
      type: object
      required:
        - title
        - url
        - display_url
        - snippet
      title: SupplierCandidate
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````